Delete Intent
Intent Deletion
Intent Deletion
Request
URI
DELETE
https://{api_host}/api/ni/alert-configs/intents/{id}
COPY
Path Parameters
string
id
Required
The Entity ID of object requestion information on
Responses
200
OK
Operation doesn't return any data structure
400
Bad Request
Returns
BadRequestResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
404
Not Found
Returns
NotFoundResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
500
Internal error
Returns
InternalErrorResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/ni/alert-configs/intents/{id}